package com.common.commonlib.net.interceptor

import okhttp3.Interceptor

/**
 * 通用拦截器基类
 *
 * @author Alex Wang
 * @since 2022-2-24
 */
abstract class CommonInterceptor : Interceptor {
    /**
     * 获取拦截器类型
     */
    abstract fun getType(): String

    /**
     * 获取拦截器key
     */
    abstract fun getKey(): String
}